package org.eclipse.jdt.internal.compiler.lookup;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.core.compiler.CharOperation;
import org.eclipse.jdt.internal.compiler.ast.ImportReference;
import org.eclipse.jdt.internal.compiler.lookup.Binding;

public class ImportBinding extends Binding {
  public char[][] compoundName;
  
  public boolean onDemand;
  
  public ImportReference reference;
  
  public Binding resolvedImport;
  
  public ImportBinding(char[][] compoundName, boolean isOnDemand, Binding binding, ImportReference reference) {
    this.compoundName = compoundName;
    this.onDemand = isOnDemand;
    this.resolvedImport = binding;
    this.reference = reference;
  }
  
  public final int kind() {
    return 32;
  }
  
  public boolean isStatic() {
    return (this.reference != null && this.reference.isStatic());
  }
  
  public char[] readableName() {
    if (this.onDemand)
      return CharOperation.concat(CharOperation.concatWith(this.compoundName, '.'), ".*".toCharArray()); 
    return CharOperation.concatWith(this.compoundName, '.');
  }
  
  public String toString() {
    return "import : " + new String(readableName());
  }
}
